Fixed in 2.02.176-4.1ubuntu2

lvm2 (2.02.176-4.1ubuntu2) bionic; urgency=medium

  * Demote Recommends: thin-provisioning-tools to Suggests, as it's not
    in main.

lvm2 (2.02.176-4.1ubuntu1) bionic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Add and install clvmd resource agent
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Do not start lvmetad when inside a container.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - debian/clvm.maintscripts: Drop the /etc/default/clvm conffile on
      upgrade.  This delta can be dropped after 18.04 release.
    - Do not start lvm2-monitor in containers (LP #1576341)
  * Dropped, merged upstream:
    - Add a patch to fix crashes on 32bit platforms:
      + 0013-fix-lvmetad-32bit.patch
    - d/p/fix-strips-limit.patch: Fix regression limiting number of
      stripes to 8 (LP #1675770)

lvm2 (2.02.176-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Revert uncoordinated addition of udev rules/sync support in udebs
    which breaks LVM support in debian-installer instead of getting
    debian-installer and installed systems to agree on device names.
    (closes: #883361, reopens: #504341)

lvm2 (2.02.176-4) unstable; urgency=medium

  * Don't try to add dropped udev rules to initramfs.

lvm2 (2.02.176-3) unstable; urgency=medium

  * Actually add newly installed udev rules to initramfs.
    (closes: #881314)
  * Make initramfs hooks bail out if udev rules can't be found.
  * Copy complete lvm config into initramfs.

lvm2 (2.02.176-2) unstable; urgency=medium

  * Drop changes for upgrades from before Wheezy.
  * Drop deprecated python bindings.
  * Enable udev rules in udeb. (closes: #504341)
  * Drop some udev rules modifications.
    - Pull in newer dmsetup for udev rules changes.

lvm2 (2.02.176-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolte build-depends on dh-systemd.
  * Drop extra priorities from packages.
  * Update Standards-Version to 4.1.1, no changes.
  * Make lvm2-dbusd depend manually on required modules. (closes: #880543)
  * Make lvm2 recommend thin-provisioning-tools. (closes: #857142)
  * Run pvscan as systemd background job.
  * Don't try to restart special systemd services.
  * Really use debhelper compat 11.

lvm2 (2.02.175-1) unstable; urgency=medium

  * New upstream release.
  * Enable sanlock support in lvmlockd.
  * Use debhelper compat 11 for dh_installsystemd.

lvm2 (2.02.173-2) unstable; urgency=medium

  * Use dh.
  * Install all lvm2 config files.
  * Install and enable blk-availability service.
  * Add lvm2-dbus package.
  * Add lvm2-lockd package (dlm only). (closes: #879780)

lvm2 (2.02.173-1) unstable; urgency=medium

  * New upstream release.

 -- Julian Andres Klode <juli...@ubuntu.com>  Tue, 30 Jan 2018 08:31:47
+0100

** Changed in: lvm2 (Ubuntu)
       Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1741986

Title:
  Please merge lvm2 from Debian unstable for lvmlockd and sanlock
  support

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/1741986/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to